Subject: [Iasa20] Barry Leiba's Discuss on draft-ietf-iasa2-rfc4071bis-08: (with DISCUSS and COMMENT)

From: Barry Leiba via Datatracker <[email-masked]>
Date: Sun, 07 Apr 2019 22:44:29 -0700

Barry Leiba has entered the following ballot position for
draft-ietf-iasa2-rfc4071bis-08: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-iasa2-rfc4071bis/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

— Section 6.4 —
Adding to what Mirja notes about a two-year term for the IESG appointee: the
text here clearly assumes it will be the IETF Chair, allows it not to be, but
makes that situation awkward.  Each IESG should be able to change the
appointment if it thinks it appropriate.  In particular, we chose the IETF
chair this time to maintain continuity with the transition, but we might
prefer, once the startup tasks are done, to move to someone else in order to
lighten the load on the IETF Chair position.  I think such delegation is
important.

So for a number of reasons, a one-year term makes more sense, perhaps with text
encouraging reappointment for two or three years, would be better (along with
appropriate changes to term limits in 6.5 to specify years rather than terms). 
Did the working group specifically discuss and reject this?  Or was it just
aligned to the IETF Chair’s term without giving consideration to these points?

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

— Section 4.1 —
Is there a difference, now, between the meanings of “IASA” and “IASA 2.0”?

— Section 6.9 —
I’ll point out that two thirds of 5 is not 3, so both a quorum and a vote on an
“act of the Board” require a supermajority of 4 out of 5 Directors.  That seems
like it could end up being problematic.

— Section 6.10 —
What does “from time to time” mean here?  I can’t figure out how to fit the
normal English meaning of the idiom in here.

---

From: Ted Hardie <[email-masked]>
Date: Mon, 8 Apr 2019 09:46:04 -0700

On Sun, Apr 7, 2019 at 10:44 PM Barry Leiba via Datatracker <
[email-masked]> wrote:

> I believe the working group discussed the length of the appointment for
this particular role
and that the decision to make it two years was done after that
consideration was complete.
As you'll note, the other directors are 3 year terms in the common case,
and that amount of time
to come up to speed and begin to serve effectively matches the IETF
experience with appointments
to the Internet Society Board of Trustees.  Choosing to make this a shorter
term that aligned with
an IESG member's term was called out as needed in this text:

   the goal of having this slot on the board is to maintain coordination and
   communication between the board and the IESG. (from Section 6.1)

Having a liaison who was not a full member of the board would have been
alternative, but the desire
to keep the board small and tightly focused caused that alternative to be
rejected.

> aligned to the IETF Chair’s term without giving consideration to these
Speaking personally, I believe consideration to this point was given.  See
the threads leading up to Jason's message with the title "Consensus on
Director Sources and Number"  August 1, 2018.

regards,

Ted

---

From: Russ Housley <[email-masked]>
Date: Mon, 8 Apr 2019 12:51:06 -0400

> On Apr 8, 2019, at 12:46 PM, Ted Hardie <[email-masked]> wrote:
> 
> On Sun, Apr 7, 2019 at 10:44 PM Barry Leiba via Datatracker <[email-masked] <mailto:[email-masked]>> wrote:
> I believe the working group discussed the length of the appointment for this particular role
> and that the decision to make it two years was done after that consideration was complete.
> As you'll note, the other directors are 3 year terms in the common case, and that amount of time
> to come up to speed and begin to serve effectively matches the IETF experience with appointments
> to the Internet Society Board of Trustees.  Choosing to make this a shorter term that aligned with
> Having a liaison who was not a full member of the board would have been alternative, but the desire
> to keep the board small and tightly focused caused that alternative to be rejected.
>  
> Speaking personally, I believe consideration to this point was given.  See the threads leading up to Jason's message with the title "Consensus on Director Sources and Number"  August 1, 2018.

I agree that this was discussed, but I can see that a one-year term for the IESG appointment would work better with the way that the IESG assigns various people to jobs.  That gets revisited every March.  So, if we really want the IESG to be able to pick someone other than the IETF Chair, the one-year term does seem to be a better fit.

Russ

---

From: Ted Hardie <[email-masked]>
Date: Mon, 8 Apr 2019 10:01:50 -0700

On Mon, Apr 8, 2019 at 9:51 AM Russ Housley <[email-masked]> wrote:

> I agree that this was discussed, but I can see that a one-year term for
> the IESG appointment would work better with the way that the IESG assigns
> various people to jobs.  That gets revisited every March.  So, if we really
> want the IESG to be able to pick someone other than the IETF Chair, the
> one-year term does seem to be a better fit.
>
> But shifting that often would be terrible for the Board.  As it stands,
there's a lot of context in all of this and that amount of transition is
just bad for forward progress.  Since this appointee has to act on behalf
of the whole organization (as all board members do), having them have less
context than the other members is already bad; shifting to one year would
make it potentially much worse.  I think that would make this much closer
to a liaison role, with all the issues that entails.

I believe Barry's DISCUSS was "was this choice made deliberately?" and the
answer to that is clear: yes.  We could take this as a signal to
re-litigate it, but that is not the point of the IESG review and would not
be an appropriate reaction to this DISCUSS.  That would, in fact, shift it
over the line in the DISCUSS criteria document to DISCUSS non-criteria:

Disagreement with informed WG decisions that do not exhibit problems
outlined in Section 3.1 (DISCUSS Criteria)
<https://www.ietf.org/blog/discuss-criteria-iesg-review/#stand-disc>. In
other words, disagreement in preferences among technically sound
approaches.

regards,

Ted

---

From: Bob Hinden <[email-masked]>
Date: Mon, 8 Apr 2019 10:08:35 -0700

Ted,

> On Apr 8, 2019, at 10:01 AM, Ted Hardie <[email-masked]> wrote:
> 
> But shifting that often would be terrible for the Board.  As it stands, there's a lot of context in all of 
> this and that amount of transition is just bad for forward progress.  Since this appointee has to act on behalf of the whole organization (as all board members do), having them have less context than the other members is already bad; shifting to one year would make it potentially much worse.  I think that would make this much closer to a liaison role, with all the issues that entails.

I agree, and to add, I think it would also be terrible for the IETF.   Having a longer term membership is good to keep the LLC aligned with the needs of the IETF.   

For the same reasons, in my view, it SHOULD be the IETF Chair.   With the usual “should” caveat unless there is a good reason to have have someone else.

Bob

> 
> I believe Barry's DISCUSS was "was this choice made deliberately?" and the answer to that is clear: yes.  We could take this as a signal to re-litigate it, but that is not the point of the IESG review and would not be an appropriate reaction to this DISCUSS.  That would, in fact, shift it over the line in the DISCUSS criteria document to DISCUSS non-criteria:
> 
> Disagreement with informed WG decisions that do not exhibit problems outlined in Section 3.1 (DISCUSS Criteria). In other words, disagreement in preferences among technically sound approaches.
> 
> regards,
> 
> Ted
> 
> 
> _______________________________________________
> iasa20 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/iasa20

---

From: Mirja Kuehlewind <[email-masked]>
Date: Mon, 8 Apr 2019 19:33:06 +0200

As I said in a comment in my review, having a two years term with the option to have someone else than the IETF chair also means that either only newly seated ADs could be selected or an AD would potentially need to stay in its director role even after the end of his/her AD term (which would potentially not provide the information exchange with the IESG as intended). I think this case should at least be discussed and clarified in the draft.

Mirja

> On 8. Apr 2019, at 19:08, Bob Hinden <[email-masked]> wrote:
> 
> Ted,
>

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Mon, 8 Apr 2019 14:00:14 -0400

(on Barry's smaller nits...)

I believe so... that is IASA 1.0 was the first instantiation of IASA, IASA
2.0 is the second? I think we tried to side-step this by talking about IASA
as the generic support structure and IASA 2.0 as the new version (and I
haven't seen anyone explicitly use IASA 1.0 so maybe that's causing
confusion?).

> like it could end up being problematic.
Well, this assumes a 5-member board, but the board can grow to be 6 or 7 (4
and 5 votes respectively for 2/3) if it decides to appoint up to two
"LLC-appointed" members (Section 6.2). This was by design.

> normal English meaning of the idiom in here

Hmmm, I don't find this confusing but a term like "as needed" may be more
clear? I don't think we intend to limit the ability of the board to adjourn
official business until they can get a quorum of folks in the room.

best, Joe

-- 
Joseph Lorenzo Hall
Chief Technologist, Center for Democracy & Technology [https://www.cdt.org]
1401 K ST NW STE 200, Washington DC 20005-3497
e: [email-masked], p: 202.407.8825, pgp: https://josephhall.org/gpg-key
Fingerprint: 3CA2 8D7B 9F6D DBD3 4B10  1607 5F86 6987 40A9 A871

Don't miss out! CDT's Tech Prom is April 10, 2019, at The
Anthem. Please join us: https://cdt.org/annual-dinner/

---

From: Russ Housley <[email-masked]>
Date: Mon, 8 Apr 2019 14:01:25 -0400

> On Apr 8, 2019, at 1:01 PM, Ted Hardie <[email-masked]> wrote:
> 
> On Mon, Apr 8, 2019 at 9:51 AM Russ Housley <[email-masked] <mailto:[email-masked]>> wrote:
> 
> 
> But shifting that often would be terrible for the Board.  As it stands, there's a lot of context in all of this and that amount of transition is just bad for forward progress.  Since this appointee has to act on behalf of the whole organization (as all board members do), having them have less context than the other members is already bad; shifting to one year would make it potentially much worse.  I think that would make this much closer to a liaison role, with all the issues that entails.
> 
> Disagreement with informed WG decisions that do not exhibit problems outlined in Section 3.1 (DISCUSS Criteria) <https://www.ietf.org/blog/discuss-criteria-iesg-review/#stand-disc>. In other words, disagreement in preferences among technically sound approaches.

Yes, I agree that the length of the term was discussed.  I do no recall this aspect being discussed.

At least one board seat will change every year.  If the two-year term stands, then only half of the IESG can be considered for the seat, and that would be the people that have the same IESG term as the IETF Chair.  The other half cannot be sure that they will still be on the IESG for a full two years.

Russ

---

From: Ted Hardie <[email-masked]>
Date: Mon, 8 Apr 2019 11:15:47 -0700

On Mon, Apr 8, 2019 at 11:01 AM Russ Housley <[email-masked]> wrote:

> At least one board seat will change every year.  If the two-year term
> stands, then only half of the IESG can be considered for the seat, and that
> would be the people that have the same IESG term as the IETF Chair.  The
> other half cannot be sure that they will still be on the IESG for a full
> two years.
>
>
As Joe noted, they do not have to be members of the IESG at all.  If they
were appointed while on the IESG and then rotated off by NomCom action,
they could still serve the remaining year.  Presumably, the IESG would have
to take that into account when deciding who to select, but it is pretty
clearly permitted by the document now.

Ted

---

From: John C Klensin <[email-masked]>
Date: Mon, 08 Apr 2019 14:28:42 -0400

--On Monday, April 8, 2019 10:01 -0700 Ted Hardie
<[email-masked]> wrote:

>...
> But shifting that often would be terrible for the Board.  As
> it stands, there's a lot of context in all of this and that
> amount of transition is just bad for forward progress.  Since
> this appointee has to act on behalf of the whole organization
> (as all board members do), having them have less context than
> the other members is already bad; shifting to one year would
> make it potentially much worse.  I think that would make this
> much closer to a liaison role, with all the issues that
> entails.
> 
> I believe Barry's DISCUSS was "was this choice made
> deliberately?" and the answer to that is clear: yes.  We could
> take this as a signal to re-litigate it, but that is not the
> point of the IESG review and would not be an appropriate
> reaction to this DISCUSS.  That would, in fact, shift it over
> the line in the DISCUSS criteria document to DISCUSS
> non-criteria:
> 
> Disagreement with informed WG decisions that do not exhibit
> problems outlined in Section 3.1 (DISCUSS Criteria)
> <https://www.ietf.org/blog/discuss-criteria-iesg-review/#stand
> -disc>. In other words, disagreement in preferences among
> technically sound approaches.

Ted,

I don't know how strongly I feel about this, especially because
it has been well over a decade since I've had experience with
the internal workings of the IESG, however...

(1) As I tried to point out several times on the WG list, while
this, and several other issues, were discussed within the WG,
virtually all of the discussions involved a very small number of
people, people with a great deal in common even when they
disagree.  Under similar circumstances, even if the WG's
consensus is representative of the intersection of all IETF
participants who care about such issues and those who have
sufficient (day job or other) time and other resources to
participate actively in the work, it is a large step to get from
there to the kind of "informed WG decision" that should set a
very high bar for issues to be raised during IETF LC or
subsequent IESG review.

(2) It is always a bit problematic to apply criteria designed
for technical specifications (including the subsection you cite
which I note is part of a section titled "Protocol Action
Criteria" -- and approval or disapproval of this action is not,
technically, a Protocol Action) to IETF procedural
specifications.  However, it seems to me that, even with the
language in Section 3.1 to which the material you cite from
Section 3.2 refers, the last bullet of 3.1, which starts "The
IETF as a whole does not have consensus on the technical
approach or document", provides sufficient procedural
justification for raising the question that Barry raised.

(3) If we can step past the procedure-lawyering, it seems to me
that the situation here involves a non-trivial tradeoff between
maximum efficiency and continuity of the IETT LLC Board (which
argues for longer terms and probably for more, rather than
fewer, ex-officio positions) and for allowing the IESG to
maximize its own efficiency and effectiveness in carrying out
its many responsibilities to the community.  

Personally, I think the latter is more important because I
believe that, if the importance of the LLC comes to dominate how
the IESG organizes itself or the criteria the Nomcom is expected
to use in selecting IESG members, we will have done a rather
good job of shooting ourselves in our collective feet.  YMMD
about that, of course.  Similarly, I believe that piling more
and more responsibilities onto the IETF Chair position
ultimately weakens the IETF by narrowing the range of people who
can assume that position to those who are supported by
organizations with the resources and will to provide people with
full-time, or nearly full-time, to the IETF.   All other things
being equal, I'd rather provide IETF Chair appointees and the
IESG the flexibility to make appropriate adjustments for
available time, expertise, and other priorities.

As far as "re-litigating" [1] these issues, I suggest that,
while much of the above was mentioned during the WG discussions,
the topics were largely dismissed, not because of any bed
behavior on the part of WG leadership but because there was no
evidence that any of that fairly narrow group of active
participants wanted to engage on them.  We've been clear in
other contexts that one cannot determine IETF (or WG) consensus
by saying something and noticing that no one speaks up; I
suggest that is much closer to what happened here.

best,
   john

[1] I am trying to figure out when and where the notion of
litigating (or re-litigating) a particular decision entered into
the IETF vocabulary but, if we are going to keep repeating
phrases about Kings, rough consensus, etc., as our fundamental
principles, I suggest we try to get rid of it.   The kind of
legal or judicial proceeding the terms implies is completely out
of place here unless we are setting specific people up as judges
or with imperial power.  I hope no one here, especially those
whose positions might make them candidates for such roles,
actually wants that.

---

From: Alissa Cooper <[email-masked]>
Date: Mon, 8 Apr 2019 14:49:25 -0400

Hi Barry,

> On Apr 8, 2019, at 1:44 AM, Barry Leiba via Datatracker <[email-masked]> wrote:
> 
> makes that situation awkward.  

Can you explain how it makes it awkward?

> Each IESG should be able to change the

Another drawback to a one-year term in addition to the ones already mentioned in the thread is that if the IESG does want to run a selection process to fill this slot, they would have to begin that process after appointing a person to this role only 8 or 9 months earlier (to allow time for a call for candidates, feedback, announcing the appointment in advance of the new person being seated, etc.), and possibly before seeing the outcome of one of the board’s major deliberations — whether to approve the following year’s budget. 

Alissa

---

From: "John Levine" <[email-masked]>
Date: 8 Apr 2019 14:54:20 -0400

>clearly permitted by the document now.

Or they could choose to resign from the LLC if it turned out that they
weren't reappointed to the IESG.

I think the practical difference beween one and two year terms is
pretty minimal since any board member can resign at any time and we
have no idea what the conventions for LLC vs. IESG membership will
be.  So I would leave it alone.  If five years from now it is evident
that there is some glaring fault with two year terms that we didn't
anticipate, we can come back and fix it.

R's,
John

---

From: Barry Leiba <[email-masked]>
Date: Mon, 8 Apr 2019 15:18:12 -0400

Lots of other discussion, but let's focus on the meat of it:

> I believe Barry's DISCUSS was "was this choice made deliberately?" and the answer to
> that is clear: yes.  We could take this as a signal to re-litigate it, but that is not the point
> of the IESG review and would not be an appropriate reaction to this DISCUSS.

Quite.  Yes, what makes this a DISCUSS is that I want to have a
discussion about whether the working group considered the issues.
You're quite correct that simply relitigating it would be
inappropriate.

What you're missing, perhaps, is that I'm not asking if the working
group really discussed the desired term; I'm quite sure they did.  I'm
asking if they properly considered the consequences of that decision
on the IESG's ability to practically select someone other than the
IETF Chair.

First, while it's been mentioned in the discussion that we could have
a non-AD in that position, I'll remind everyone that the document
explicitly says "exceptionally".  We don't know exactly what that
means, but I interpret it as an admonishment not to make it a routine
thing.

In practical terms, that means that half the ADs are at best
questionably eligible and, depending upon interpretation, not
practically eligible at all.  And they never will be, because they'll
always be "off cycle".  This really pushed the IESG to appoint someone
who has the same AD cycle as the IETF Chair, and to rule out the other
seven.  Was this considered?

But suppose we should choose to appoint a first-term AD in the middle
of her term, figuring that she'll likely get a second term and that we
can invoke "exceptionally" if she doesn't.  Might that affect NomCom's
decision next year?  Did anyone think about that effect?

Suppose someone wanted to stand for an AD position and specifically
hoped to get the IESG's LLC appointment.  Perhaps she would choose NOT
to stand next year because it will be off cycle and she'd be unlikely
to get the appointment.  That has an effect on who puts their names in
for AD positions.  Did the working group discuss that?

It doesn't take too long to come up with a number of situations that
the two-year term for the IESG appointment raises, if the IESG decides
to appoint someone other than the chair... and, again, I think it's
*very* important that we have the ability to assign tasks such as this
to other than the IETF Chair, so I think that part of the working
group's decision was well founded.

As to Alissa's point about running a selection process, I'll note that
the IESG itself can control that by explicitly appointing someone for
two years -- essentially giving two one-year terms in the appointment.
But that lets us control it.

I appreciate that changing board members too often is bad.  I do not
think that having one board member *potentially* change every year is
not that bad -- and language can be there encouraging continuity and
discouraging frequent replacement for no good reason.  And I think the
benefits to opening up the IESG's choice outweighs the down side.

But what I'm aiming at in the discussion is whether the working group
considered that explicitly: were the issues that this raises for the
IESG's decision process and practical ability to fill the position
adequately considered and discussed.  I'm not sure they were.

Barry

---

From: Barry Leiba <[email-masked]>
Date: Mon, 8 Apr 2019 15:26:06 -0400

> (on Barry's smaller nits...)

And they are small points, yes; thanks for chatting about them.

> I believe so... that is IASA 1.0 was the first instantiation of IASA, IASA 2.0 is the second?
> I think we tried to side-step this by talking about IASA as the generic support structure
> and IASA 2.0 as the new version (and I haven't seen anyone explicitly use IASA 1.0 so
> maybe that's causing confusion?).

I certainly know that the original IASA is different from IASA 2.0.
But the document gives a definition of the term "IASA" that seems to
say that "IASA" means "the IASA we have now, with these new
processes".  And that seems to me to be identical with "IASA 2.0".
Again, it's a small point, and it doesn't matter that much.  I just
wonder whether it's worth having both terms separately and distinctly
defined.

Of course, I also wonder whether we've already put more thought into
this question than it's worth.

> Well, this assumes a 5-member board, but the board can grow to be 6 or 7 (4 and 5 votes
> respectively for 2/3) if it decides to appoint up to two "LLC-appointed" members (Section
> 6.2). This was by design.

I understand it's by design, and I don't know what the sense is about
whether the board will typically run with 5 members or not.  I'm just
highlighting that if it does run with 5 members, needing 4 out of 5 to
get anything done is pushing it a bit.

But we can move on from that: the working group clearly did think
about it, and I deliberately did not make this a DISCUSS point.

> Hmmm, I don't find this confusing but a term like "as needed" may be more clear?
> I don't think we intend to limit the ability of the board to adjourn official business
> until they can get a quorum of folks in the room.

Ah, I see what you're getting at, then.  So I would just remove the
phrase altogether; what remains says exactly what you mean:

NEW
   If a quorum is not present at any
   meeting of the Board, the Directors present may adjourn the meeting
   without notice, other than announcement at the
   meeting, until a quorum is present.
END

Barry

---

From: Ted Hardie <[email-masked]>
Date: Mon, 8 Apr 2019 13:24:42 -0700

Howdy,

> on the IESG's ability to practically select someone other than the
The document is quite clear that the default is to choose the IETF Chair:

   For the first slot listed above, the presumption is that the IETF
   Chair will serve on the board.  At the IESG's discretion, another
   area director may serve instead, or exceptionally the IESG may run a
   selection process to appoint a director.  The goal of having this
   slot on the board is to maintain coordination and communication
   between the board and the IESG.

As a participant in the discussion, my sense was that the Chair's view on
the overall organization/IESG was the one that was considered the *best
default*.  The IESG can choose another appointee, even one outside the
IESG, but the working group's default is that it should be the IETF Chair.
That was definitely considered by the working group.

Your DISCUSS comes from a different position than the working group's
agreed text: that  the IETF Chair job is time consuming  and shedding this
from the load might be a good thing to do.  That's permitted by the text
and at the IESG's discretion, but it is not what the working group thought
the default should be.  In that case, the IESG has to decide what balance
it is willing to trade--another member of the same NomCom cycle or the
possibility that someone appointed will have to go out of their way to
maintain the coordination once they have left the IESG.  Both are permitted
by the text; it's up to the IESG.

What it cannot trade in this formulation is the impact on the board of
changing a key point of coordination
every year. You would like to add that to the list of things the IESG can
trade off against the IETF chair's workload.

Had the working group, or the document, not made any preferences clear
here, that might be reasonable.  But I think in light of the long
discussion on terms and membership, the working group document's
presumption of the IETF chair as default, and the existing permission to
trade out other things, it is not something the IESG should change at this
stage of the proceedings.

I have no salient hats to wear on this one, thank goodness, so this is
simply my own opinion,

Ted

> >> Speaking personally, I believe consideration to this point was given.
> See the threads leading up to Jason's message with the title "Consensus on
> > I believe Barry's DISCUSS was "was this choice made deliberately?" and
> the answer to that is clear: yes.  We could take this as a signal to
> outlined in Section 3.1 (DISCUSS Criteria). In other words, disagreement in
> preferences among technically sound approaches.
> >
> > regards,
> >
> > Ted
> >
> >
>

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 9 Apr 2019 08:57:43 +1200

On 09-Apr-19 06:15, Ted Hardie wrote:
> On Mon, Apr 8, 2019 at 11:01 AM Russ Housley <[email-masked] <mailto:[email-masked]>> wrote:
> 
> 
> As Joe noted, they do not have to be members of the IESG at all.  If they were appointed while on the IESG and then rotated off by NomCom action, they could still serve the remaining year.  Presumably, the IESG would have to take that into account when deciding who to select, but it is pretty clearly permitted by the document now.

Agreed. And as somebody else pointed out, the incumbent can always resign
if they happen to leave the IESG mid-term; or not, if they are happy to
continue for another year, including of course communicating with the
IESG as needed. If they were a worthy Board member in the first place,
where's the problem?

Did the WG analyze every possible ramification? No. But as far as I'm
concerned this was a conscious choice that obtained WG consensus.

    Brian

---

From: Mirja Kuehlewind <[email-masked]>
Date: Tue, 9 Apr 2019 13:39:21 +0200

Hi Brian, hi Ted, hi all,

Please see one more comment below.

> On 8. Apr 2019, at 22:57, Brian E Carpenter <[email-masked]> wrote:
> 

That actually brings me to another question of my comment. Yes, the appointee can reign but as far as I understand there is no way for the IESG to remove someone. Was that considered. Is that intended. I mean if the chair takes the director position, it would be very unlikely or uncommon to for the IESG to move that person. However, if someone else is hold this position, I can imagine situations that could occur.

Mirja

---

From: Barry Leiba <[email-masked]>
Date: Tue, 9 Apr 2019 09:43:06 -0400

>> As Joe noted, they do not have to be members of the IESG at all.  If they were appointed
>> while on the IESG and then rotated off by NomCom action, they could still serve the
>> remaining year.  Presumably, the IESG would have to take that into account when
>> deciding who to select, but it is pretty clearly permitted by the document now.
>
> continue for another year

Several comments have said this, but I don't see that it's consistent
with the document:

   At the IESG's discretion, another
   area director may serve instead, or exceptionally the IESG may run a
   selection process to appoint a director.

First, what this says to me is that in order for the board member to
be someone other than an AD, we have to run a selection process.  Just
letting someone fall out does not meet that requirement.

Second, the selection process is put forth as an exceptional
situation.  I don't think that routine appointees not returning to the
IESG constitutes an exceptional situation.

As I understand that text, it would block the IESG from appointing an
AD who is not on the same cycle as the chair, because the IESG would
intentionally be stepping into an exceptional condition.

> concerned this was a conscious choice that obtained WG consensus.

Of course the WG didn't and couldn't analyze *every* possibility;
please don't try to pull my concern into appearing ridiculous.

What I see -- and, so far, no comments have shown otherwise -- is that
the term period was well considered, but, in general, the effect that
that period has on the ability of the IESG to actually have a
meaningful choice in whom we select... was not.  It *appears* to me
that the alternatives for the IESG were included grudgingly, where at
least a few people just wanted it to be the IETF Chair ex officio, and
that's it.  My issue here is that if we're given a choice it has to be
a real choice, not a Hobson's choice.

Can someone point me to a discussion in the archive that covers this?
I'm looking, but so far I have not see one.  I'm still looking.

Barry

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Tue, 9 Apr 2019 09:59:44 -0400

> a real choice, not a Hobson's choice.

I still don't get the concern here, Barry, apologies. Is the sole concern
that if an AD is not on the same cycle as the Chair then the IESG may be
constrained in picking that person? I don't think that's the case; even if
that person cycles out of the AD role they can still serve as the
IESG-appointed member. It would be less of an effective liaison with IESG
since that person would not be deep in the mix for that last year. Do we
need to specify that this IESG-appointed LLC director must be in cycle with
the chair (since the text says this is a two-year appointment and having
someone not on IESG for their last year doesn't seem ideal). best, Joe

---

From: Barry Leiba <[email-masked]>
Date: Tue, 9 Apr 2019 11:06:35 -0400

Hi, Joe.

> I still don't get the concern here, Barry, apologies. Is the sole
> concern that if an AD is not on the same cycle as the Chair then the
> IESG may be constrained in picking that person? I don't think that's
> the case; even if that person cycles out of the AD role they can still
> serve as the IESG-appointed member. It would be less of an effective
> liaison with IESG since that person would not be deep in the mix for
> that last year. Do we need to specify that this IESG-appointed LLC
> director must be in cycle with the chair (since the text says this is a
> two-year appointment and having someone not on IESG for their last year
> doesn't seem ideal).

My concern is that the IESG is limited in whom it can choose, and it's
not clear to me that that was intentional and that the working group
actually considered these issues.

As I said in the message you quoted, I don't agree that the current
text allows the IESG to pick an AD, have that AD leave the IESG in a
year, and simply have that AD continue as the IESG-appointed Director.
As I read the text, the IESG would have to run a selection process,
which might or might not result in the same person being selected to
continue.  Further, should that happen then the IESG-appointed
position would become out of sync with the IETF Chair cycle, and that
could cause unexpected and undesirable results down the line.

OK, so let me try to lay out what I think we need to do to clear up
this situation.  The point is that I want the document to be clear
about what the choices really are -- because I don't think it is --
and to be sure the working group has consensus on the result --
because I think this is too significant a change to be simply
editorial.

I suggest the following alternatives (one could come up with others, I'm sure):

1. Change the term for the IESG-appointed Director to 1 year, with
language strongly recommending multiple terms for that member (likely
using the word "exceptional" to describe a single one-year term).
This would also mean changing the term limit for that role to be
specified in number of years, rather than number of terms.

2. Make it clear that once the IESG appoints an AD as Director, that
person will serve her full term (modulo resignation, and see below),
regardless of whether she remains an AD.  It sounds like this is the
best way to make everyone on this discussion thread happy, but I think
we still need to go to the working group for consensus on it.

3. Move the word "exceptionally" earlier in the sentence, to make the
selection of anyone other than the IETF Chair exceptional.  It would
be helpful, should the working group choose this, to also add text
making it explicitly clear that this is meant to be an IETF Chair ex
officio position.  I gather this is what some on this thread want;
it's my personal last choice... but in any case, I'd want to see
working group consensus for the choice.

I'll also note that, as we've mentioned, it's possible for a Director
to resign mid-term, and if we simply appoint another AD for a two-year
term we might get that position out of sync with the IETF Chair cycle.
So I think it's important to also add text specifying that a mid-term
replacement will serve:
* if the remainder of the term is more than a year, through the end of
that term, or
* if the remainder of the term is a year or less, through the end of
that term plus another term.

Does this make sense to everyone?

Barry

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Tue, 9 Apr 2019 11:14:43 -0400

> could cause unexpected and undesirable results down the line.
Minor point: I don't think the text says that if an IESG-appointed AD
Director ceases being an AD that anything special is supposed to happen
(like running a selection process). It's about what they are at the time of
appointment, not what they become later in their term.

> we still need to go to the working group for consensus on it.
I definitely prefer 2 here. Curious to see what others think. best, Joe

---

From: Ted Hardie <[email-masked]>
Date: Tue, 9 Apr 2019 08:36:22 -0700

> appointment, not what they become later in their term.

I agree with Joe on this, and I would be happy to add clarifying text to
the document to make that clear.

> I definitely prefer 2 here. Curious to see what others think. best, Joe
I also prefer this, and I believe it was the intent all along.  Happy to
add something to the document
to clarify and, if the chairs believe that needs working group consensus,
to wait while the call is made.

>> Does this make sense to everyone?
Section 6.8 already has text on this:

    as the original appointing body to designate a
   replacement that will serve out the remainder of the term of the
   departed Director.

While the text calls out the NomCom, I had assumed that it was exemplary
and that other appointing bodies were similarly appointing for the
remainder of the term.  I would be happy to have language clarifying that
added.

regards,

Ted

---

From: "John Levine" <[email-masked]>
Date: 9 Apr 2019 12:09:10 -0400

In article <[email-masked]> you write:
>with the document: ...

That was me and you're right, it's not consistent with the document.

Once again we are falling into the chronic IETF trap of obsessing
about process corner cases.  This document says that the IESG will
probably appoint the Chair to the LLC board, but if the chair doesn't
want to do it they can appoint someone else.  We are arguing about a
scenario where A) the chair doesn't want to do it, B) the IESG
appoints someone else who they expect to be on the IESG for at least
two years but isn't, C) the IESG would like to appoint someone else,
and D) the person says, no, the LLC slot is MINE MINE MINE and I'm not
leaving a moment before I have to.  Or B) they appoint someone who
they expect will resign from the LLC if not reappointed, but ...

Having been on the IAOC, I can predict that once the initial setup is
done the LLC's business will be boring, stuff like D&O insurance and
how to write software RFPs so someone other than the usual suspects
might apply.  It's just as likely that the IESG would ask the
incumbent if he or she were willing to continue for another year, and
be very grateful if the answer were yes.

I would leave the language alone, and if it turns out there's an
*actual* problem we haven't anticipated, we can fix it.

R's,
John

---

From: John C Klensin <[email-masked]>
Date: Tue, 09 Apr 2019 12:14:16 -0400

--On Tuesday, April 9, 2019 11:06 -0400 Barry Leiba
<[email-masked]> wrote:

>...
> My concern is that the IESG is limited in whom it can choose,
> and it's not clear to me that that was intentional and that
> the working group actually considered these issues.

Like you, I don't believe the WG got nearly as far down into
those issues, certainly not in the form of a discussion with
wide participation.

> As I said in the message you quoted, I don't agree that the
> current text allows the IESG to pick an AD, have that AD leave
> the IESG in a year, and simply have that AD continue as the
> IESG-appointed Director. As I read the text, the IESG would
> have to run a selection process, which might or might not
> result in the same person being selected to continue.
> Further, should that happen then the IESG-appointed position
> would become out of sync with the IETF Chair cycle, and that
> OK, so let me try to lay out what I think we need to do to
> clear up this situation.  The point is that I want the
> document to be clear about what the choices really are --
> because I don't think it is -- and to be sure the working
> group has consensus on the result -- because I think this is
> too significant a change to be simply editorial.

Agreed.  It also needs to be absolutely clear as to whether the
IESG can pick someone who is not a sitting AD at the time the
choice is made.  I think it does and probably don't care, but it
should be clear one way or the other.  That clarification is
probably not an editorial chance either.

> 1. Change the term for the IESG-appointed Director to 1 year,
> with language strongly recommending multiple terms for that
> member (likely using the word "exceptional" to describe a
> single one-year term). This would also mean changing the term
> limit for that role to be specified in number of years, rather
> than number of terms.
 
> 2. Make it clear that once the IESG appoints an AD as
> Director, that person will serve her full term (modulo
> resignation, and see below), regardless of whether she remains
> an AD.  It sounds like this is the best way to make everyone
> on this discussion thread happy, but I think we still need to
> go to the working group for consensus on it.
> 
> 3. Move the word "exceptionally" earlier in the sentence, to
> make the selection of anyone other than the IETF Chair
> exceptional.  It would be helpful, should the working group
> choose this, to also add text making it explicitly clear that
> this is meant to be an IETF Chair ex officio position.  I
> gather this is what some on this thread want; it's my personal
> last choice... but in any case, I'd want to see working group
> consensus for the choice.

My personal preference is for 1, then 2, and could happily live
with either.  Because a decision by the IESG about what was
unusual or special enough to be considered an exceptional
circumstance would potentially be subject to an appeal and we
don't need to invite that sort of aggravation, I'd suggest that
we not put any more stress or focus on "exceptionally" than
necessary.
 
> I'll also note that, as we've mentioned, it's possible for a
> Director to resign mid-term, and if we simply appoint another
> AD for a two-year term we might get that position out of sync
> with the IETF Chair cycle. So I think it's important to also
> add text specifying that a mid-term replacement will serve:
> * if the remainder of the term is more than a year, through
> the end of that term, or
> * if the remainder of the term is a year or less, through the
> end of that term plus another term.
> 

Yes.  However, as I tried to suggest in an earlier note and
somewhat following up on one of Mirja's concerns, if there is
any circumstance in which we could end up with an LLC Board
member who is not a sitting AD, there needs to be a mechanism
for removing that person from the LLC Board, presumably for
malfeasance or non-feasance.  If we have a situation in which
someone resigns, retires, or is retired from the IESG but can
continue to serve out their term on the LLC Board, it is not
clear that even a recall from the AD position would change their
status vis-a-vis the LLC.

So I see that as another issue the document needs to address
that does not now seem to be covered.

   john

---

From: Bob Hinden <[email-masked]>
Date: Tue, 9 Apr 2019 09:14:48 -0700

John,

> On Apr 9, 2019, at 9:09 AM, John Levine <[email-masked]> wrote:
> 

+1  It’s more like a corner of a corner case :-)

Another alternative not discussed is to change so it has to be the IETF Chair.   No exceptions.

Bob

---

From: Barry Leiba <[email-masked]>
Date: Tue, 9 Apr 2019 13:32:04 -0400

> about process corner cases.

We're not obsessing, and I don't see them as corner cases.

> This document says that the IESG will
> want to do it they can appoint someone else.

It says neither of those; it certainly makes no statement about what
the IETF Chair does or doesn't want.  It says it's at the IESG's
discretion.  For this year, the IETF Chair made no assumption, and
asked the IESG what we wanted to do.  We decided that for this year,
continuity with the transition board and the fact that there's a bunch
of startup stuff to do, such as hiring an Executive Director, made it
particularly important to appoint the IETF Chair this time.  At least
some of us want to reconsider that next time, when the situation is
different.

So, no, not a corner case.

> *actual* problem we haven't anticipated, we can fix it.

We have an opportunity to spend a small amount of time NOW to get the
language clear and make it less likely to need fixing in the future.
I think we would be derelict if we didn't take it.

Barry

---

From: Barry Leiba <[email-masked]>
Date: Tue, 9 Apr 2019 13:41:03 -0400

(I'm not sure when nor why the IESG was removed from the distribution
list (Bob didn't do it), but I've added it back on; please leave it
there.)

> Another alternative not discussed is to change so it has to be the IETF Chair.   No exceptions.

It's correct that we haven't discussed it here, because THAT was
certainly discussed and decided in the working group, and relitigating
that would be inappropriate.

It sounds to me from the discussion here that my option (2) is a
fairly minor change and something we can live with and easily confirm
working group consensus on.  I'm happy to propose text, as I'm the one
who started this up; I'm also happy if the editors go off and do it.

Barry

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Tue, 9 Apr 2019 13:48:41 -0400

> list (Bob didn't do it), but I've added it back on; please leave it

I did that, sorry!

My posts to the IASA2 WG get queued for moderation if there are too many
mailing list addresses on it, so I chose to chop those down instead of
waiting for the Chairs to approve. (I may do this again unless sending to
the IESG and WG lists get through this time.)

---

From: Alissa Cooper <[email-masked]>
Date: Tue, 9 Apr 2019 14:49:52 -0400

Hi Barry,

> On Apr 9, 2019, at 9:43 AM, Barry Leiba <[email-masked]> wrote:
> 

The first time the "1 IETF Chair or delegate selected by the IESG” language appeared in the draft was in the -02 of the individual draft that pre-dated rfc4071bis, dated May 14, 2018: https://tools.ietf.org/html/draft-hall-iasa2-struct-02#section-4.6 <https://tools.ietf.org/html/draft-hall-iasa2-struct-02#section-4.6>. The addition of the “delegate” language arose out of discussions in this thread: https://mailarchive.ietf.org/arch/msg/iasa20/8L7sqS1AeXKDXZYGy0pq8h9-Xo4 <https://mailarchive.ietf.org/arch/msg/iasa20/8L7sqS1AeXKDXZYGy0pq8h9-Xo4>. There were some quibbles with it but mostly expressions of support. Every subsequent thread that I can find included the delegate language (search for “director sources” in the subject line of the mail archive to see many examples, or see the threads at [1] or [2] for other examples). See also the minutes from IETF 102: https://datatracker.ietf.org/meeting/102/materials/minutes-102-iasa2-01 <https://datatracker.ietf.org/meeting/102/materials/minutes-102-iasa2-01>. Based on how much discussion there was and how long this language remained unchanged, I don’t think characterizing it as an option that was “included grudingly” is accurate.

I agree with you that the document could be more clear about the applicability of the two-year term length. I would suggest the following clarifications:

In 6.1: 
OLD

NEW
At the IESG's discretion, another
   area director may be appointed instead, or exceptionally the IESG may run a
   selection process to appoint a director. 
   
In 6.4:
OLD
The Director slot occupied by the IETF Chair ex officio or a
      delegate selected by the IESG will serve a two-year term.  This
      makes the term length for this slot the same as the term lengths
      established in [I-D.ietf-iasa2-rfc7437bis], Section 3.4.

NEW
The Director slot occupied by the IETF Chair ex officio or a
      delegate selected by the IESG will serve a two-year term.  This applies regardless of whether the appointed individual is on the IESG, rotates off the IESG during the two-year term, or is not on the IESG. This makes the term length for this slot the same as the term lengths established in [I-D.ietf-iasa2-rfc7437bis], Section 3.4.

Thanks,
Alissa

[1] https://mailarchive.ietf.org/arch/msg/iasa20/LbUBHkCY9r_QNRo7Wn5b-8KB6Ws <https://mailarchive.ietf.org/arch/msg/iasa20/LbUBHkCY9r_QNRo7Wn5b-8KB6Ws>
[2] https://mailarchive.ietf.org/arch/msg/iasa20/mxdOf4xg-ykBMfLJDuqWDDOM9Y8 <https://mailarchive.ietf.org/arch/msg/iasa20/mxdOf4xg-ykBMfLJDuqWDDOM9Y8> (not about this document but touches on the same issue)

---

From: Barry Leiba <[email-masked]>
Date: Tue, 9 Apr 2019 15:03:15 -0400

Hi, and thanks for the discussion pointers.  I'll go off and have a look.

My characterization of "grudgingly" was meant to apply to a few people
who very strongly think the appointee should always be the IETF Chair.
It sounds too dismissive now that I read it again, and I'm sorry I
used it.

> I agree with you that the document could be more clear about the applicability of the two-year
> term length. I would suggest the following clarifications:
>
> In 6.1:
> OLD
>       delegate selected by the IESG will serve a two-year term.  This applies regardless
> of whether the appointed individual is on the IESG, rotates off the IESG during the
> two-year term, or is not on the IESG. This makes the term length for this slot the same
> as the term lengths established in [I-D.ietf-iasa2-rfc7437bis], Section 3.4.

I would find that text clear enough, and thanks for suggesting it.

I think this is now in Joe's hands, and the working group's, and I'll
eagerly await a revision soon.

Barry

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Tue, 9 Apr 2019 15:25:36 -0400

On Tue, Apr 9, 2019 at 3:03 PM Barry Leiba <[email-masked]> wrote:

> applies regardless

Happy to make those edits... will wait until tomorrow to do so in case
there is further discussion. best, Joe

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 10 Apr 2019 08:52:20 +1200

> please don't try to pull my concern into appearing ridiculous.

Sorry, that implication was an unintended side-effect.

What I'm getting at is that we have a method of removing any IESG
member from the IESG (i.e. a recall) and two methods of removing
NomCom-appointed LLC Directors (section 6.7 of the draft). But
I now see that we've failed to define a method of removing the
IESG-appointed LLC Director if that became appropriate. That does
seem to need fixing. As long as Directors can be removed, we
don't need to analyze all possible contingencies.

So how about changing the language to make it clear that the
IESG can remove as well as appoint their Director?

>> we still need to go to the working group for consensus on it.

I definitely agree with your suggestion that there needs to be
some language to cover mid-term replacement.

     Brian

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Tue, 9 Apr 2019 16:57:18 -0400

> IESG can remove as well as appoint their Director?
Well, the IESG-appointed Director could be removed by the IETF recall
process, no? So we should add another explicit mechanism? Is it as easy as
adding the following to 6.1: "The IESG may remove an IESG-appointed
director at their discretion."

> some language to cover mid-term replacement.

Barry or someone had some language that was of the gist: "may appoint
someone to fill the remainder of the vacant term" which seems very simple.

(I'm trying to boil this down to edits.)

---

From: Alissa Cooper <[email-masked]>
Date: Tue, 9 Apr 2019 16:59:23 -0400

Hi Brian,

> On Apr 9, 2019, at 4:52 PM, Brian E Carpenter <[email-masked]> wrote:
>> 
> IESG-appointed LLC Director if that became appropriate.

This is not correct. As Joe pointed out, any director can be removed via the IETF recall process.

Alissa

> That does

---

From: Barry Leiba <[email-masked]>
Date: Tue, 9 Apr 2019 17:28:15 -0400

> This is not correct. As Joe pointed out, any director can be removed via the IETF recall process.

And I think that's sufficient.  While it might seem reasonable to say
that the IESG can replace its appointee at will, I think that would be
a bad idea: I think that the IESG appointee is, above all, an LLC
Director (which is one reason I think it should not simply routinely
be the IETF Chair), and I would not want to give the IESG arbitrary
discretion to replace a Director.

It might work to have some sort of mechanism for the IESG to make a
replacement under some conditions (a supermajority vote of some sort),
but I think this definitely fits well into John Levine's "let's wait
to see if it actually is a problem" philosophy.  I'd rather leave this
with the normal recall process.

Barry

---

From: Barry Leiba <[email-masked]>
Date: Tue, 9 Apr 2019 17:31:47 -0400

> Barry or someone had some language that was of the gist: "may appoint someone to
> fill the remainder of the vacant term" which seems very simple.

I had a suggestion that it not just be the remainder if the remainder
is short.  My suggestion was that it be the remainder + another term
if the remainder is less than a year -- that seems consistent with the
clear desire not to change Directors too frequently.

But that's not part of my DISCUSS... do as you (and the working group)
think best.

Barry

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 10 Apr 2019 10:23:25 +1200

I don't think so. Agreed, the draft says:

>    Directors may also be removed via the
>    IETF recall process defined in [I-D.ietf-iasa2-rfc7437bis],
>    Section 7.

But that Section 7 says:

>    The following rules apply to the recall process.  If necessary, a
>    paragraph discussing the interpretation of each rule is included.
> 
>    It applies to IESG and IAB Members, the NomCom appointed IETF Trust
>    Trustees, and the NomCom appointed IETF LLC Directors.

That *does not* include the IESG-appointed LLC Director, even
if they are an IESG member.

If that's a drafting error in 7437bis, my point would be
satisfied by fixing it.

Regards
   Brian

---

From: John C Klensin <[email-masked]>
Date: Tue, 09 Apr 2019 22:03:50 -0400

--On Wednesday, April 10, 2019 10:23 +1200 Brian E Carpenter
<[email-masked]> wrote:

>>    The following rules apply to the recall process.  If
>>    necessary, a paragraph discussing the interpretation of
>>    each rule is included.
>> 
>>    It applies to IESG and IAB Members, the NomCom appointed
>>    IETF Trust Trustees, and the NomCom appointed IETF LLC
>>    Directors.
> 

It also raises the question I've tried to ask before: if an IESG
member (Chair or otherwise) who is serving as a Director resigns
or is recalled from the IESG, does that action remove that
person from the LLC Board position, or are the two positions
essentially separate?

Even if one accepts the "edge case of an edge case" argument in
principle, the observation that we've had an example in which
someone has disappeared and we almost needed to use the recall
procedure to create a vacancy that could then be filled is
probably argument enough for clarifying the answer to that
question.

     john

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Wed, 10 Apr 2019 08:02:19 -0400

(resending with fewer recipients to get past the mod queue)

> If that's a drafting error in 7437bis, my point would be

Yes, I was certainly operating with the understanding that the
IESG-appointed LLC Board member could be recalled. It looks like that
document would need to be changed in a few more places to make sure IETF
recall applied to an IESG-appointed LLC Board member.

---

From: Alissa Cooper <[email-masked]>
Date: Wed, 10 Apr 2019 08:27:13 -0400

> On Apr 9, 2019, at 6:23 PM, Brian E Carpenter <[email-masked]> wrote:
> 

Good catch. I filed an issue to address this: https://github.com/IASA2/RFC-7437-bis/issues/9 <https://github.com/IASA2/RFC-7437-bis/issues/9>

Alissa

---

From: Barry Leiba <[email-masked]>
Date: Wed, 10 Apr 2019 08:50:07 -0400

> person from the LLC Board position, or are the two positions

Alissa's proposed text addresses that by making it clear that
regardless of how the IESG appointee is appointed, the person serves a
full term as LLC Director.

That does mean that, with a recall situation, there need to be two
recalls done.  Perhaps they could be bundled into one recall (in the
case, for instance, of someone who disappears).  But I think it's good
to be able to separate them, in a case, say, of an AD who is
egregiously bad, but who is doing fine on the LLC Board.

Barry

---

From: John C Klensin <[email-masked]>
Date: Wed, 10 Apr 2019 09:40:42 -0400

Barry,

Agree completely.  While a personally prefer to treat the two
positions as separate (and requiring separate removal actions)
for the reason you describe, my main concern is only that we
reach some agreement and be clear about it.  This is not the
sort of thing we can, as John Levine and Bob Hinden suggested
for what I assume are other issues, wait until there is a
problem and then sort things out ex post facto.

thanks,
   john

--On Wednesday, April 10, 2019 08:50 -0400 Barry Leiba
<[email-masked]> wrote:

>> It also raises the question I've tried to ask before: if an
>> IESG member (Chair or otherwise) who is serving as a Director
>> resigns or is recalled from the IESG, does that action remove
>> that person from the LLC Board position, or are the two
>> positions essentially separate?
> 
> regardless of how the IESG appointee is appointed, the person
> serves a full term as LLC Director.
> 
> That does mean that, with a recall situation, there need to be
> two recalls done.  Perhaps they could be bundled into one
> recall (in the case, for instance, of someone who disappears).
> But I think it's good to be able to separate them, in a case,
> say, of an AD who is egregiously bad, but who is doing fine on
> the LLC Board.
> 
> Barry

---

From: Alissa Cooper <[email-masked]>
Date: Wed, 10 Apr 2019 11:45:16 -0400

Changed the subject line and dropped the IESG and others from the recipients list since this is about a different WG document.

I commented on the issue in light of this email thread: https://github.com/IASA2/RFC-7437-bis/issues/9 <https://github.com/IASA2/RFC-7437-bis/issues/9>

Also posting the text here for discussion:

I thought the WG discussion was clear that recall should not apply to the ISOC-appointed director, but should apply to the board-appointed directors. This is also reflected in the LLC agreement. I haven't re-reviewed the threads though.

There is actually an additional change that would need to be made in 7.1 that I missed before, to make all of this align. And text is needed to address John Klensin's point about two recall petitions versus one. So something like this could capture all of that:

Member, Trustee, and Director Recall
The following rules apply to the recall process. If necessary, a
paragraph discussing the interpretation of each rule is included.

It applies to IESG and IAB Members, the NomCom appointed IETF Trust
Trustees, and all IETF LLC Directors except the ISOC-appointed LLC Director.

7.1. Petition

At any time, a signed petition (email is acceptable) may be submitted
to the Internet Society President to request the recall of any
sitting IESG or IAB member, or NomCom appointed IETF Trust Trustee,
or any IETF LLC Director except the ISOC-appointed Director. There are two different types
of petitions: a petition by participants of the IETF community, and a
petition by the Ombudsteam as described in [RFC7776].

A petition to recall an individual who is simultaneously serving as both an IETF LLC Director and in another role that is eligible for recall may request that the individual be recalled from one role or both roles.

Alissa

> On Apr 10, 2019, at 9:40 AM, John C Klensin <[email-masked]> wrote:
> 
> Barry,
>

---

From: John C Klensin <[email-masked]>
Date: Wed, 10 Apr 2019 11:58:49 -0400

Alissa,

Works for me. 
thanks
   john

--On Wednesday, April 10, 2019 11:45 -0400 Alissa Cooper
<[email-masked]> wrote:

> Changed the subject line and dropped the IESG and others from
> the recipients list since this is about a different WG
> document.
> 
> I commented on the issue in light of this email thread:
> https://github.com/IASA2/RFC-7437-bis/issues/9
> <https://github.com/IASA2/RFC-7437-bis/issues/9>
> 
> I thought the WG discussion was clear that recall should not
> apply to the ISOC-appointed director, but should apply to the
> board-appointed directors. This is also reflected in the LLC
> agreement. I haven't re-reviewed the threads though.
> 
> There is actually an additional change that would need to be
> made in 7.1 that I missed before, to make all of this align.
> And text is needed to address John Klensin's point about two
> recall petitions versus one. So something like this could
> capture all of that:
> 
> The following rules apply to the recall process. If necessary,
> a paragraph discussing the interpretation of each rule is
> included.
> 
> It applies to IESG and IAB Members, the NomCom appointed IETF
> Trust Trustees, and all IETF LLC Directors except the
> ISOC-appointed LLC Director.
> 
> 7.1. Petition
> 
> At any time, a signed petition (email is acceptable) may be
> submitted to the Internet Society President to request the
> recall of any sitting IESG or IAB member, or NomCom appointed
> IETF Trust Trustee, or any IETF LLC Director except the
> ISOC-appointed Director. There are two different types of
> petitions: a petition by participants of the IETF community,
> and a petition by the Ombudsteam as described in [RFC7776].
> 
> A petition to recall an individual who is simultaneously
> serving as both an IETF LLC Director and in another role that
> is eligible for recall may request that the individual be
> recalled from one role or both roles.
> 
> Alissa
> 
>>>> IESG member (Chair or otherwise) who is serving as a
>>>> Director resigns or is recalled from the IESG, does that
>>>> action remove that person from the LLC Board position, or
>>>> are the two positions essentially separate?
>>> 
>>> That does mean that, with a recall situation, there need to
>>> be two recalls done.  Perhaps they could be bundled into one
>>> recall (in the case, for instance, of someone who
>>> disappears). But I think it's good to be able to separate
>>> them, in a case, say, of an AD who is egregiously bad, but
>>> who is doing fine on the LLC Board.
>>> 
>>> Barry
>> 
>> 
>> 
>>

---

From: Barry Leiba <[email-masked]>
Date: Wed, 10 Apr 2019 14:14:12 -0400

Joe, the -09 version sorts out my DISCUSS issue, so I'll clear that.
I'm going to leave the non-DISCUSS comments in for the record, but the

>    meeting, until a quorum is present.

Thanks for the work on this, Joe -- and all the others who
participated in the discussion.

Barry

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 11 Apr 2019 08:21:57 +1200

And for me.

Thanks
   Brian

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 10 Apr 2019 21:38:25 +0100

Thanks for having this discussion and reaching a good way forward.

I hate to pick (no, really, I do), but...

   There are two different types
   of petitions: a petition by participants of the IETF community, and a
   petition by the Ombudsteam as described in [RFC7776].

I going to have some trouble because,
- we are updating 7776 to move the recall process to *this* document
- section 7.1.2 (correctly) describes this process.

So, I would suggest...

   There are two different types
   of petitions: a petition by participants of the IETF community, and a
   petition by the Ombudsteam [RFC7776] as described in Section 7.1.2.

And in 7.1.2...

OLD
   The Ombudsteam process allows the Ombudsteam to form a recall
   petition on its own without requiring 20 signatories from the
   community.  As defined in [RFC7776], the petition and its signatories
   (the Ombudsteam) shall be announced to the IETF community, and a
   Recall Committee Chair shall be appointed to complete the Recall
   Committee process.  It is expected that the Recall Committee will
   receive a briefing from the Ombudsteam explaining why recall is
   considered an appropriate remedy.
NEW
   The Ombudsteam process [RFC7776] allows the Ombudsteam to
   form a recall petition on its own without requiring any signatories
   from the community.  The petition and its signatories (the
   Ombudsteam) shall be announced to the IETF community, and a
   Recall Committee Chair shall be appointed to complete the Recall
   Committee process.  It is expected that the Recall Committee will
   receive a briefing from the Ombudsteam explaining why recall is
   considered an appropriate remedy.
END

Many thanks,
Adrian

-----Original Message-----
From: iasa20 <[email-masked]> On Behalf Of Brian E Carpenter
Sent: 10 April 2019 21:22
To: Alissa Cooper <[email-masked]>
Cc: John C Klensin <[email-masked]>; IASA 2 WG <[email-masked]>
Subject: Re: [Iasa20] Recall details in rfc7437bis

And for me.

Thanks
   Brian

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Thu, 11 Apr 2019 11:01:50 -0400

> >    meeting, until a quorum is present.
Will make this change in -10:

https://github.com/IASA2/draft-ietf-iasa2-struct/issues/102

> participated in the discussion.

Thank you for great feedback and engagement!

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Mon, 8 Apr 2019 13:52:33 -0400

On Mon, Apr 8, 2019 at 1:33 PM Mirja Kuehlewind <[email-masked]> wrote:

> As I said in a comment in my review, having a two years term with the
> option to have someone else than the IETF chair also means that either only
> newly seated ADs could be selected or an AD would potentially need to stay
> in its director role even after the end of his/her AD term (which would
> potentially not provide the information exchange with the IESG as
> intended). I think this case should at least be discussed and clarified in
> the draft.
>
>
Apologies for the slow response from document authors, Mirja! Will get to
your DISCUSS very soon.

As to this point, the IESG-selected LLC Board member does not need to be an
IESG member ("The Director slot occupied by the IETF Chair ex officio or a
delegate selected by the IESG will serve a two-year term."). To be very
explicit, we assumed that in most cases this would be the IETF chair but
did not want to set that in stone and left it to the IESG to decide
otherwise if some other arrangement made more sense.

I'm also of the mind that a one-year IESG LLC Board appointment is not a
good idea for the reasons Ted and others have stated. best, Joe

> there's a lot of context in all of
> >> this and that amount of transition is just bad for forward progress.
> Since this appointee has to act on behalf of the whole organization (as all
> board members do), having them have less context than the other members is
> already bad; shifting to one year would make it potentially much worse.  I
> think that would make this much closer to a liaison role, with all the
> issues that entails.
> >
> > I agree, and to add, I think it would also be terrible for the IETF.
>  Having a longer term membership is good to keep the LLC aligned with the
> needs of the IETF.
> >
> > For the same reasons, in my view, it SHOULD be the IETF Chair.   With
> the usual “should” caveat unless there is a good reason to have have
> someone else.
> >
> > Bob
> >
> >
> >>

---

From: John C Klensin <[email-masked]>
Date: Tue, 09 Apr 2019 09:06:46 -0400

--On Tuesday, April 9, 2019 13:39 +0200 Mirja Kuehlewind
<[email-masked]> wrote:

>>> As Joe noted, they do not have to be members of the IESG at
>>> all.  If they were appointed while on the IESG and then
>>> rotated off by NomCom action, they could still serve the
>>> remaining year.  Presumably, the IESG would have to take
>>> that into account when deciding who to select, but it is
>>> pretty clearly permitted by the document now.
>> 
>> Agreed. And as somebody else pointed out, the incumbent can
>> always resign if they happen to leave the IESG mid-term; or
>> not, if they are happy to continue for another year,
>> including of course communicating with the IESG as needed. If
>> they were a worthy Board member in the first place, where's
>> the problem?
> 
> That actually brings me to another question of my comment.
> Yes, the appointee can reign but as far as I understand there
> is no way for the IESG to remove someone. Was that considered.
> Is that intended. I mean if the chair takes the director
> position, it would be very unlikely or uncommon to for the
> IESG to move that person. However, if someone else is hold
> this position, I can imagine situations that could occur.

Very interesting for another reason.  If someone, either the
Chair or another appointee were removed from the IESG --either
by term running out at different times or by recall -- would
they continue to occupy the LLC position?  And could an
appointee who was not an IESG member be recalled by the
community?  Presumably we don't really want someone on the LLC
Board who cannot be removed, regardless of circumstances, unless
they voluntarily resign.

Having that person serve at the pleasure of the IESG seems too
fragile for exactly the reasons Ted suggested earlier.  The most
obvious answer would make that position subject to recall even
if the person in it is not a current IESG member who could be
recalled from the IESG position (assuming that removal would
carry over).   On the other hand, if that were the right
solution, it would further strengthen the argument in
draft-moonesamy-recall-rev for allowing IESG members to initiate
recalls.

I would suppose the scenarios that could require such measures
are so unlikely that we shouldn't spend time on them except that
one of them closely parallels a problem we've had with an IAOC
member that nearly forced up into using recall provisions.

best,
   john

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Tue, 9 Apr 2019 09:54:00 -0400

On Tue, Apr 9, 2019 at 7:39 AM Mirja Kuehlewind <[email-masked]> wrote:

> >>    At least one board seat will change every year.  If the two-year
> term stands, then only half of the IESG can be considered for the seat, and
> that would be the people that have the same IESG term as the IETF Chair.
> The other half cannot be sure that they will still be on the IESG for a
> full two years.
> >>
> >>
> >> As Joe noted, they do not have to be members of the IESG at all.  If
> they were appointed while on the IESG and then rotated off by NomCom
> action, they could still serve the remaining year.  Presumably, the IESG
> would have to take that into account when deciding who to select, but it is
> That actually brings me to another question of my comment. Yes, the
> appointee can reign but as far as I understand there is no way for the IESG
> to remove someone. Was that considered. Is that intended. I mean if the
> chair takes the director position, it would be very unlikely or uncommon to
> for the IESG to move that person. However, if someone else is hold this
> position, I can imagine situations that could occur.
>

I think the only way to remove a non-NomCom appointed LLC Board member is
through the IETF recall process noted in Section 6.7. If I recall
correctly, this was because it didn't really make sense for the board to be
able to remove the ISOC-appointed director (as presumably ISOC would just
re-appoint that person). So for the IESG-appointed slot recall would need
to be the mechanism used here. best, Joe

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Wed, 10 Apr 2019 07:59:50 -0400